Add Card via Reader
curl --request POST \
--url https://app.plugchoice.com/api/v3/sites/{site}/cards/add-with-reader \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/cards/add-with-reader"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/cards/add-with-reader', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cards
Add Card via Reader
POST
/
v3
/
sites
/
{site}
/
cards
/
add-with-reader
Add Card via Reader
Activates the card reader flow for the location. The next card scanned at any charger within this location will be automatically added to the location with the provided name. The card reader mode expires after 5 minutes. Returns a
204 No Content response on success.
The UUID of the location.
The display name to assign to the scanned card. Maximum 255 characters.
⌘I